{
  pkgs,
  lib,
  fetchFromGitHub,
  fetchurl,
  ...
}:
pkgs.stdenv.mkDerivation rec {
  name = "Comic Mono Patched";
  version = "0.0.1";

  src = fetchFromGitHub {
    owner = "dtinth";
    repo = "comic-mono-font";
    rev = "9a96d04cdd2919964169192e7d9de5012ef66de4";
    sha256 = "sha256-q8NxrluWuH23FfRlntIS0MDdl3TkkGE7umcU2plS6eU=";
  };

  fontpatcher = fetchurl {
    url = "https://github.com/ryanoasis/nerd-fonts/releases/download/v2.3.3/FontPatcher.zip";
    sha256 = "sha256-mfKA6hwQ158i+cZ41qEUfKBpsGKfONkM8/BNys6PPg0=";
  };

  nativeBuildInputs = with pkgs; [
    python39
    python39Packages.fontforge
    pkgs.unzip
  ];

  phases = ["buildPhase"];

  buildPhase = ''
    unzip ${fontpatcher}
    mkdir -p $out/share/fonts

    for font in ${src}/*.ttf; do
      fontforge -script font-patcher $font --quiet -out $out/share/fonts
    done

    mkdir -p $out/etc/fonts/conf.d
    ln -s ${./weight.conf} $out/etc/fonts/conf.d/30-comic-mono.conf
  '';
}
